{"openapi":"3.0.4","info":{"title":"Add SCIM","description":"Generates an API token to be used for SCIM","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/identityprovider/scim":{"put":{"tags":["Identity Provider"],"summary":"Add SCIM","description":"Generates an API token to be used for SCIM","operationId":"AddScim","parameters":[{"name":"apiTokenAction","in":"query","description":"The action to take. For the API token. Defaults to \"ensure\"","schema":{"type":"string"}},{"name":"oldApiTokenDeactivation","in":"query","description":"Optional deactivation date for the old API token. Only used if apiTokenAction is \"regenerate\"","schema":{"type":"string","format":"date-time"},"x-nullable":true}],"responses":{"200":{"description":"The base URL and API token to be used","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/AddScimResponse"},"example":{"baseUrl":"https://my-domain.lusid.com/identity/scim/v2","apiToken":"ba5e8bed1cbd92f3cc4a893a48141ff23617b258cb7f1407f3567d1f35d0f0e0"}},"text/plain":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/AddScimResponse"},"example":{"baseUrl":"https://my-domain.lusid.com/identity/scim/v2","apiToken":"ba5e8bed1cbd92f3cc4a893a48141ff23617b258cb7f1407f3567d1f35d0f0e0"}},"text/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/AddScimResponse"},"example":{"baseUrl":"https://my-domain.lusid.com/identity/scim/v2","apiToken":"ba5e8bed1cbd92f3cc4a893a48141ff23617b258cb7f1407f3567d1f35d0f0e0"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}